Login  •  Register


The time is now: Mon Dec 10, 2018 10:46 am

Emaculation wiki  •  Delete all board cookies



Post new topic  Reply to topic Page 1 of 1 [ 8 posts ]
Print view Previous topic  |  Next topic
Author Message
 Post subject: Mini vMac 3.5.7 and G3
PostPosted: Thu Aug 17, 2017 7:05 am 
Offline
Space Cadet

Joined: Sun Jun 24, 2012 6:06 pm
Posts: 5
New version of Mini vMac 3.5.7 (128, Plus, II) dont run on G3 (iBook G3/800, OS X 10.4.11).
Console says: incompatible cpu-subtype.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Thu Aug 17, 2017 4:11 pm 
Offline
Forum All-Star
User avatar

Joined: Fri Nov 27, 2009 5:11 am
Posts: 2295
Location: Emaculation.com
That means you downloaded the app for Intel Macs. You need a PPC download like this one: http://www.gryphel.com/d/minivmac/miniv ... ch.bin.tgz

If the download has imch or mc64 in the name, it won't run on your system. You can only run the mach builds (or the Classic builds under Classic).

Or are you getting the incompatible subtype error on the mach builds too? It's possible the default build is G4+ (using Altivec).

Have you tried using a custom variation?


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Thu Aug 17, 2017 5:52 pm 
Offline
Space Cadet

Joined: Sun Jun 24, 2012 6:06 pm
Posts: 5
Custom variation "Macintosh OS X - Power PC" supports G3 not G4+ only? I'll try ASAP.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Thu Aug 17, 2017 6:26 pm 
Offline
Space Cadet

Joined: Sun Jun 24, 2012 6:06 pm
Posts: 5
I tried custom variation #8848 "-t mach -dmo 1" -- no success on iBook G3, "incompatible cpu-subtype". I have to return back to 3.4.1 with "-mppc" and "-mach" working on G3s.


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Thu Aug 17, 2017 8:15 pm 
Offline
Forum All-Star
User avatar

Joined: Fri Nov 27, 2009 5:11 am
Posts: 2295
Location: Emaculation.com
That's odd... probably worth letting Paul know in the feedback section: http://www.gryphel.com/c/mail/v5.html

However, I also see that his account is currently active on here, so he may see your thread and look into it :)


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Thu Aug 17, 2017 8:19 pm 
Offline
Nice Guy
User avatar

Joined: Sat Nov 17, 2007 6:46 pm
Posts: 105
From Gryphel Project Mail:

Thanks for the report. I have verified this issue on PowerPC G3. It turns out my GCC compiler version defaults to requiring G4 or later. I think I have a fix (changing the command line arguments generated by the Mini vMac build system).

The fix should be included in the next version, probably Mini vMac 3.6, unless some other serious problem turns up in 3.5. (Since nobody reported this in the 4 month beta period, I guess it isn’t too high priority.)


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Fri Aug 18, 2017 6:18 am 
Offline
Space Cadet

Joined: Sun Jun 24, 2012 6:06 pm
Posts: 5
Thanks for response. I'll wait for 3.6.x )


Top
 Profile  
Reply with quote Post a reply  
PostPosted: Mon Aug 21, 2017 7:19 am 
Offline
Space Cadet

Joined: Sun Jun 24, 2012 6:06 pm
Posts: 5
3.5.8 seems to work fine on G3 @10.4.11. Thanks )


Top
 Profile  
Reply with quote Post a reply  
Display posts from previous:  Sort by  
Post new topic  Reply to topic Page 1 of 1 [ 8 posts ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
 

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group